plugins {
    id 'application'
    id 'com.github.johnrengelman.shadow' version '6.1.0'
}

group 'fr.insa.clavardator.server'
version '0.0.1'

repositories {
    mavenCentral()
}

dependencies {
    implementation project(':lib')
    implementation 'org.jetbrains:annotations:20.1.0'
}

mainClassName = 'fr.insa.clavardator.server.Main'

shadowJar {
    mergeServiceFiles()
}

run {
    standardInput = System.in
}